<?php 
session_start();

?>

<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Usuarios
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Menu</li>
				<li class="breadcrumb-item active">Usuarios</li>
            </ol>
          </div>
		</div>
	</div>
</div>
<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:0px;" >
		    <div class="card">
		        <div class="card-header">
		          <button id="btn_agregar" onClick="usuario_form('insertar')" class="btn btn-primary">Agregar</button>
		          <button id="btn_actualizar" class="btn btn-default">Actualizar</button>		        
		        </div>
		    </div>
		</div>
	</div>
	</div>
</section>




	<!-- formulario de registro -->
			<div class="modal fade" id="div_usuario_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;">
			<div class="modal-dialog modal-lg" style="width: 90% !important;" role="document" >
		
			<div class="modal-content">
		
			<div class="modal-body div_usuario_form" >
	
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
			
	<!-- formulario de registro -->
			<div class="modal fade" id="div_usuarioprograma_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;">
			<div class="modal-dialog modal-lg" style="width: 90% !important;" role="document" >
		
			<div class="modal-content">
		
			<div class="modal-body div_usuarioprograma_form" >
	
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
	<!-- tabla de registros -->			
	<div id="div_usuario_tabla"></div>
	
	<!--FORMULARIO PARA ASIGNAR PUNTO DE VENTA AL USUARIO--->
	<div class="modal fade" id="div_punven_form" role="dialog" data-keyboard="false" data-backdrop="static">
	<div class="modal-dialog modal-sm" >
	
	<div class="modal-content">
	
	<div class="modal-body div_punvenform_cont" >
	</div>
	<br /> <br />
	</div>
	</div>
	</div>

<script type="text/javascript">
function usuario_filtro()
{
	$.ajax({
		type: "POST",
		url: "../usuario/usuario_filtro.php",
		async:true,
		dataType: "html",                      
		data: ({
			}),
		beforeSend: function() {
			$('#div_usuario_filtro').html('Cargando....');
        },
		success: function(html){
			$('#div_usuario_filtro').html(html);
		},
		complete: function(){
			usuario_tabla();
		}
	});
}
function usuario_tabla()
{	
	$.ajax({
		type: "POST",
		url: "../usuario/usuario_tabla.php",
		async:true,
		dataType: "html",   
		data: $("#for_fil_usu").serialize(),                   
		beforeSend: function() {
			$('#div_usuario_tabla').addClass("ui-state-disabled");
        },
		success: function(html){
			$('#div_usuario_tabla').html(html);
		},
		complete: function(){			
			$('#div_usuario_tabla').removeClass("ui-state-disabled");
		}
	});       
}
function asignarpunven_usuario(iduser){
	
	$('#div_punven_form').modal();
		$.ajax({
			type: "POST",
			url: "../usuario/punven_asignar_usu.php",
			async:true,
			dataType: "html",                      
			data: ({
				user_id:	iduser
			}),
			beforeSend: function() {
				
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";
				$('.div_punvenform_cont').html(div);
			},
			success: function(html){
				$('.div_punvenform_cont').html(html);					
			},
			complete: function(){
			}
		});
	
}


function usuarioprograma_form(act,idf)
{
	$('#div_usuarioprograma_form_dialog').modal();
	
	$.ajax({
		type: "POST",
		url: "../usuario/usuarioprograma_form.php",
		async:true,
		dataType: "html",                      
		data: ({
			action: act,
			usu_id: idf
		}),
		beforeSend: function() {
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";
				$('.div_usuarioprograma_form').html(div);
        },
		success: function(html){
			$('.div_usuarioprograma_form').html(html);
		}		
	});
}

function usuario_form(act,idf)
{
	$('#div_usuario_form_dialog').modal();
	
	$.ajax({
		type: "POST",
		url: "../usuario/usuario_form.php",
		async:true,
		dataType: "html",                      
		data: ({
			action: act,
			usu_id: idf
		}),
		beforeSend: function() {
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";
				$('.div_usuario_form').html(div);
        },
		success: function(html){
			$('.div_usuario_form').html(html);
		}		
	});
}


function eliminar_usuario(id)
{     
	if(confirm("Realmente desea eliminar?")){
		$.ajax({
			type: "POST",
			url: "../usuario/usuario_reg.php",
			async:true,
			dataType: "html",
			data: ({
				action: "eliminar",
				usu_id:		id
			}),
			beforeSend: function() {
	
			},
			success: function(html){
				toastr["success"](html);
			},
			complete: function(){			
				usuario_tabla();
			}
		});
	}
}
$(function() {
	
	$('#btn_actualizar').click(function() {
		$("#contenido").load("../usuario/usuario_vista.php");
	});
	usuario_tabla(); 
	setTitle("USUARIOS - "+nombreEmpresa);
});
</script>